import { OnDestroy } from '@angular/core';
import { PlDatepickerService } from '../../services/pl-datepicker.service';
export declare class PlDatepickerOverlayComponent implements OnDestroy {
    private plDatepickerService;
    model: Date;
    currentMonth: Date;
    private selectedDateSubscription;
    private currentMonthSubscription;
    constructor(plDatepickerService: PlDatepickerService);
    getDaysInMonth(): any;
    onNavigateToNextMonth(): void;
    onNavigateToPreviousMonth(): void;
    isInCurrentMonth(date: Date): boolean;
    isSelectedDate(date: Date): boolean;
    isToday(date: Date): boolean;
    onDateSelect(date: Date): void;
    ngOnDestroy(): void;
}
