import { OnInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { PlDatepickerService } from './services/pl-datepicker.service';
export declare class PlDatepickerComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private plDatepickerService;
    model: Date;
    showOverlay: boolean;
    private selectedDateSubscription;
    appliedOptions: any;
    datepickerOptions: any;
    constructor(plDatepickerService: PlDatepickerService);
    ngOnInit(): void;
    private applyOptions;
    onDateSelect(date: Date): void;
    toggleDatepickerOverlay(): void;
    hideOverlay(): void;
    propagateChange: (date: Date) => Date;
    private propagateTouch;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    ngOnDestroy(): void;
}
