import { ControlValueAccessor } from '@angular/forms';
export declare class PlInputComponent implements ControlValueAccessor {
    label: string;
    type: 'text' | 'number' | 'email' | 'password' | 'tel' | 'url';
    helpText: string;
    validationMessage: string;
    showValidationMessage: boolean;
    model: any;
    constructor();
    onChange(value: any): void;
    propagateChange: (value: any) => any;
    private propagateTouch;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
}
