import { OnInit, ComponentFactoryResolver } from '@angular/core';
import { PlTableCellData } from '../../interfaces/pl-table-cell-data';
import { PlTableColumnDefinition } from '../../interfaces/pl-table-column-definition';
import { PlTableCellDirective } from '../../directives/pl-table-cell.directive';
export declare class PlTableCellComponent implements OnInit {
    private componentFactoryResolver;
    tableCellData: PlTableCellData;
    tableColumnDefinition: PlTableColumnDefinition;
    tableCellRenderer: PlTableCellDirective;
    private defaultTableCellRenderer;
    constructor(componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    private loadTableCellRenderer;
}
