import { EventEmitter } from '@angular/core';
import { PlTableColumnDefinition } from './interfaces/pl-table-column-definition';
import { PlTableRowClickEvent } from './interfaces/pl-table-row-click-event';
import { PlTableSortOptions } from './interfaces/pl-table-sort-options';
import { PlTableOptions } from './interfaces/pl-table-options';
import { PlTableCellService } from './services/pl-table-cell.service';
export declare class PlTableComponent {
    private plTableCellService;
    private _tableData;
    appliedTableOptions: PlTableOptions;
    selectedTableRows: any[];
    tableOptions: PlTableOptions;
    tableColumnsDefinitions: PlTableColumnDefinition[];
    tableRowClicked: EventEmitter<PlTableRowClickEvent>;
    tableRowSelectionChanged: EventEmitter<any>;
    tableData: any[];
    constructor(plTableCellService: PlTableCellService);
    private applyTableOptions;
    onSortChange(sortOptions: PlTableSortOptions): void;
    private sortTableData;
    onSelectedTableRowsToggle(tableRow: any): void;
    onSelectedTableRowsAdd(tableRow: any): void;
    onSelectedTableRowsRemove(tableRow: any): void;
    onSelectedTableRowsAddAll(): void;
    onSelectedTableRowsRemoveAll(): void;
    onTableRowClick(event: Event, tableRowData: any, tableRowIndex: number): void;
}
