import { BehaviorSubject } from 'rxjs';
export declare class PlDatepickerService {
    selectedDate: Date;
    selectedDate$: BehaviorSubject<Date>;
    currentMonth: Date;
    currentMonth$: BehaviorSubject<Date>;
    constructor();
    setSelectedDate(date: Date): void;
    setCurrentMonth(date: Date): void;
    getMonthMatrix(month: Date): any;
    isTypeOfDate(date: any): boolean;
    getFirstDayOfMonth(date: Date): Date;
    getLastDayOfMonth(date: Date): Date;
    isInCurrentMonth(date: Date): boolean;
    isSelectedDate(date: Date): boolean;
    isToday(date: Date): boolean;
    isSameDay(date1: Date, date2: Date): boolean;
    adjustWeekIndex(index: number): number;
    getWeek(_date: Date): number;
}
