import { EventEmitter } from '@angular/core';
import { PlTableColumnDefinition } from '../../interfaces/pl-table-column-definition';
import { PlTableCellData } from '../../interfaces/pl-table-cell-data';
import { PlTableCellService } from '../../services/pl-table-cell.service';
import { PlTableOptions } from '../../interfaces/pl-table-options';
export declare class PlTableRowComponent {
    private plTableCellService;
    tableOptions: PlTableOptions;
    tableColumnDefinitions: PlTableColumnDefinition[];
    tableRowData: any;
    selectedTableRows: any[];
    rowSelected: EventEmitter<{}>;
    rowUnselected: EventEmitter<{}>;
    rowIsSelected: boolean;
    constructor(plTableCellService: PlTableCellService);
    getCellValue(tableRowData: any[], tableColumnDefinition: PlTableColumnDefinition): PlTableCellData;
    onTableRowSelect(event: any): void;
    isSelectedTableRow(): boolean;
}
